Bug 840389 - [REGRESSION] new konsole windows started in VNC session appear on the default (physical) screen, when there's at least one konsole window opened on the default screen
[REGRESSION] new konsole windows started in VNC session appear on the default...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: konsole (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-16 04:45 EDT by Jaromír Cápík
Modified: 2016-01-31 20:56 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 07:54:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaromír Cápík 2012-07-16 04:45:14 EDT
Description of problem:
I recently upgraded from Fedora 16 to Fedora 17. Previously konsole windows opened on the default (physical) screen appeared on the default screen and konsole windows opened in a VNC session appeared in the same VNC session. Now, when there's at least one konsole window opened on the default screen, all new attempts to start the konsole in the VNC session lead to displaying the new konsole windows on the default screen instead of the VNC session. That makes the konsole unusable. Other terminal software (xterm, terminal, ...) works like expected. This worked well in the previous release of Fedora, therefore I consider this a regression.

Version-Release number of selected component (if applicable):
konsole-4.8.4-1.fc17

How reproducible:
always

Steps to Reproduce:
1. start a VNC session (vncserver :1)
2. start "konsole" on the default screen
3. login to the VNC session (vncviewer :1)
4. start "konsole" in the VNC session (do not start it from a different terminal SW, because that masks the issue)
  
Actual results:
The "konsole" window is opened on the default screen

Expected results:
The "konsole" window is opened in the VNC session
Comment 1 Fedora End Of Life 2013-07-03 23:48:24 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-08-01 07:54:41 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.